#ifndef GAME_APP_H
#define GAME_APP_H

#include "input/input_system.h"

enum GameState
{
	GAME_STATE_RUNNING,
	GAME_STATE_MAIN_MENU,
};

class GameApp
{
public:
	GameApp();
	~GameApp();

	void Init();
	void Shutdown();

	void UpdateFrame();

	inline void	RequestExit() { m_bExitRequested = true; }
	inline bool	IsExitRequested() const { return (m_bExitRequested); }

private:
	bool m_bExitRequested;
};

extern GameApp* g_gameApp;

#endif // !GAME_APP_H
